summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 3e8e691)
raw | patch | inline | side by side (parent: 3e8e691)
author | Junio C Hamano <gitster@pobox.com> | |
Fri, 16 Sep 2011 20:19:33 +0000 (13:19 -0700) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Mon, 26 Sep 2011 16:39:45 +0000 (09:39 -0700) |
Earlier code wanted to run merge_file and prompt_after_failed_merge
both of which wanted to read from the standard input of the entire
script inside a while loop, which read from a pipe, and in order to
do so, it redirected the original standard input to another file
descriptor. We no longer need to do so after the previous change.
Signed-off-by: Junio C Hamano <gitster@pobox.com>
both of which wanted to read from the standard input of the entire
script inside a while loop, which read from a pipe, and in order to
do so, it redirected the original standard input to another file
descriptor. We no longer need to do so after the previous change.
Signed-off-by: Junio C Hamano <gitster@pobox.com>
git-mergetool.sh | patch | blob | history |
diff --git a/git-mergetool.sh b/git-mergetool.sh
index 83551c70c70c4db5e9c6a5269e00388cd87a2f57..0a06bde843a3a048a5276bd8d9af8accfa8f11e6 100755 (executable)
--- a/git-mergetool.sh
+++ b/git-mergetool.sh
exit 0
fi
-# Save original stdin
-exec 3<&0
-
printf "Merging:\n"
printf "$files\n"
IFS='
-'; for i in $files
+'
+for i in $files
do
if test $last_status -ne 0; then
- prompt_after_failed_merge <&3 || exit 1
+ prompt_after_failed_merge || exit 1
fi
printf "\n"
- merge_file "$i" <&3
+ merge_file "$i"
last_status=$?
if test $last_status -ne 0; then
rollup_status=1